# PSF-LoginServer - master - net.psforever.objects.vital.resolution.DamageResistanceCalculations
PSF - LoginServer - master - net.psforever.objects.vital.resolution.DamageResistanceCalculations
Keywords: PSF LoginServer master net.psforever.objects.vital.resolution.DamageResistanceCalculations

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package resolution
  Definition Classes
    vital
- DamageAndResistance
- DamageResistanceCalculations
- DamageResistanceModel
- ResolutionCalculations

c

net.psforever.objects.vital.resolution

# DamageResistanceCalculations

###

#### abstract class DamageResistanceCalculations[A] extends ResolutionCalculations

A specific implementation of `ResolutionCalculations` that deals with the damage value and the resistance value in a specific manner. (The input type of the function literal output of `calcFunc`.)

A

  an internal type that converts between `calcFunc`'s output and `applyFunc`'s input; never has to be defined explicitly but will be checked at compile time

Source
  DamageResistanceCalculations.scala
See also

  `DamageCalculations.WithModifiers`

Linear Supertypes
ResolutionCalculations, AnyRef, Any
Known Subclasses
AnyResolutions, ComplexDeployableResolutions, InfantryResolutions, MaxResolutions, NoResolutions, SimpleResolutions, VehicleResolutions

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageResistanceCalculations
2. ResolutionCalculations
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DamageResistanceCalculations(calcFunc: (DamageInteraction) => (Int, Int) => A, applyFunc: (A, DamageInteraction) => Output, modifiersFunc: (Selector, DamageInteraction) => Int = DamageCalculations.WithModifiers)

   calcFunc

     a function literal that retrieves the function that factors the affects of damage and resistance values

   applyFunc

     a function literal that applies the final modified values to a target object

   modifiersFunc

     a function literal that extracts and modifies a numeric damage value; even if no modifiers are to be used, the base damage value needs to be extracted; defaults to a function that utilizes all of the available information

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(damages: Selector, resistances: Format, data: DamageInteraction): Output

   The exposed entry for the calculation function literal defined by this base.

   The exposed entry for the calculation function literal defined by this base.

   damages

     the function literal that accumulates and calculates damages

   resistances

     the function literal that collects resistance values

   data

     the historical damage information

   returns

     a function literal that encapsulates delayed modification instructions for certain objects

   Definition Classes
     DamageResistanceCalculations → ResolutionCalculations
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from ResolutionCalculations

### Inherited from AnyRef

### Inherited from Any

### Ungrouped